Bug 147779 - NNTP fails without user/password
NNTP fails without user/password
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 03:20 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 09:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-02-11 03:20:54 EST
Since upgrading to Evolution 2.1.5 I can no longer connect to my local news
server. Authentication is purely by the connecting IP address; the client isn't
required to authe nticate. But Evolution insists on trying. I enter no username
and it still asks for a password. Hitting cancel prevents it connecting, hitting
OK causes it to give bogus login attempts...

NNTP_STREAM_LINE(77): '200 news.aaisp.net.uk NNRP Service Ready -
support@aaisp.net.uk (posting ok).'
NNTP_COMMAND: 'authinfo user '
NNTP_STREAM_LINE(27): '501 user Name|pass Password'
NNTP_COMMAND: 'authinfo user '
NNTP_STREAM_LINE(27): '501 user Name|pass Password'
NNTP_COMMAND: 'authinfo user '
NNTP_STREAM_LINE(27): '501 user Name|pass Password'
CamelException.set(0x10eb7388, 3, 'User cancelled operation.')
Thread 321704e0 >
Get folder info(0x102e2098:nntp://@news.aaisp.net.uk/, '<null>') =
Comment 1 David Woodhouse 2005-03-01 19:36:22 EST
This affects 2.0.4-1 in FC3 updates-testing too.
Comment 2 Pedro Fernandes Macedo 2005-03-31 13:38:07 EST
this bug still exists on evolution evolution-2.0.4-2 on FC3 updates-released
i386 (I'm gonna test on x86_64 later). 

Same thing that happens to David. Server authentication is made by IP and
evolution always tries to authenticate. A ethereal dump shows the same stuff.
(dumps of evolution and thunderbird are available if needed , but it's basically
the same stuff that david posted).
Comment 3 Todd Mokros 2005-03-31 17:40:28 EST
You can work around this issue by going into gconf-editor, and editing
apps/evolution/mail/accounts, and in the entry for the news account, remove the
'@' from the nntp:// url.
Comment 4 David Woodhouse 2005-04-21 09:20:14 EDT
When rebuilding my own evolution-data-server package to fix this and also bug
#147780, bug #151121 and the one about it checking for mail even in inactive
folders, I found that this seems to have been fixed already. Closing accordingly.

Note You need to log in before you can comment on or make changes to this bug.